Loading...
Searching...
No Matches
osmo_strrb Struct Reference
Osmocom ringbuffers for log strings

`#include <strrb.h>`

## Data Fields

uint16_t | start
| index of the first slot
uint16_t | end
| index of the last slot
uint16_t | size
| max number of messages to store
char ** | buffer
| storage for messages

## Field Documentation

## buffer

char** osmo_strrb::buffer

storage for messages

Referenced by osmo_strrb_add(), osmo_strrb_create(), and osmo_strrb_get_nth().

## end

uint16_t osmo_strrb::end

index of the last slot

Referenced by _osmo_strrb_is_bufindex_valid(), osmo_strrb_add(), osmo_strrb_elements(), osmo_strrb_get_nth(), and osmo_strrb_is_empty().

## size

uint16_t osmo_strrb::size

max number of messages to store

Referenced by _osmo_strrb_is_bufindex_valid(), log_target_create_rb(), log_target_rb_avail_size(), osmo_strrb_add(), osmo_strrb_create(), osmo_strrb_elements(), and osmo_strrb_get_nth().

## start

uint16_t osmo_strrb::start

index of the first slot

Referenced by _osmo_strrb_is_bufindex_valid(), osmo_strrb_add(), osmo_strrb_elements(), osmo_strrb_get_nth(), and osmo_strrb_is_empty().

The documentation for this struct was generated from the following file:

- include/osmocom/core/strrb.h